> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.jobgorilla.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jobgorilla.com/_mcp/server.

# Job Feed

GET https://feed.jobgorilla.com/feed/board/{guid}

Returns a job feed for the given board ID.

Reference: https://docs.jobgorilla.com/api-reference/feed/get-job-feed

## Request

### Path parameters

- `guid` (string, required)

### Headers

- `X-JobGorilla-Key` (string, optional)

## Response

### 200

OK

## Examples

**Request**

```json
{}
```

**Response**

```json
[
  {
    "applyUrl": "https://careers.techcorp.com/jobs/123456",
    "city": "San Francisco",
    "company": "TechCorp",
    "companyAddress": "123 Innovation Drive",
    "companyAddress2": "Suite 400",
    "companyCity": "San Francisco",
    "companyId": 1234567890,
    "companyNameOriginal": "TechCorp International",
    "companyState": "CA",
    "companyZip": "94107",
    "country": "USA",
    "createDate": "2024-05-25T12:00:00Z",
    "description": "Join our dynamic team to develop scalable web applications using modern technologies.",
    "directEmployer": true,
    "duration": "Full-time",
    "enableIndeedApply": true,
    "enableZipRecruiterApply": false,
    "endDate": "2024-07-01T23:59:59Z",
    "formattedLocation": "San Francisco, CA 94107",
    "id": "job-123456",
    "jobGorillaGuid": "a3f47b9e-8c2d-4f1a-9b7e-2d5f6c8a9e12",
    "jobGorillaId": 7890123456,
    "jobGroup": "Engineering",
    "jobTitle": "Senior Software Engineer",
    "linkedInCompanyId": 1234567,
    "location": "San Francisco, CA",
    "maxPay": 150000,
    "maxPayType": "Annual",
    "maxPayTypeId": 1,
    "minPay": 120000,
    "minPayType": "Annual",
    "minPayTypeId": 1,
    "modifyDate": "2024-05-30T15:30:00Z",
    "openDate": "2024-06-01T08:00:00Z",
    "openings": 3,
    "parentCompanyId": 9876543210,
    "partTime": false,
    "placementTypeId": 2,
    "postalCode": "94107",
    "posterEmail": "hr@techcorp.com",
    "postingId": "TC-20240601-001",
    "screenerQuestionsUrl": "https://techcorp.com/screener/123456",
    "state": "CA",
    "stateName": "California",
    "streetAddress": "123 Innovation Drive",
    "workFromHome": false,
    "workHybrid": true,
    "workRemote": true
  }
]
```

**SDK Code**

```python
import requests

url = "https://feed.jobgorilla.com/feed/board/a3f47b9e-8c2d-4f1a-9b7e-2d5f6c8a9e12"

payload = {}
headers = {
    "X-JobGorilla-Key": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://feed.jobgorilla.com/feed/board/a3f47b9e-8c2d-4f1a-9b7e-2d5f6c8a9e12';
const options = {
  method: 'GET',
  headers: {
    'X-JobGorilla-Key': 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://feed.jobgorilla.com/feed/board/a3f47b9e-8c2d-4f1a-9b7e-2d5f6c8a9e12"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("X-JobGorilla-Key", "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://feed.jobgorilla.com/feed/board/a3f47b9e-8c2d-4f1a-9b7e-2d5f6c8a9e12")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-JobGorilla-Key"] = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://feed.jobgorilla.com/feed/board/a3f47b9e-8c2d-4f1a-9b7e-2d5f6c8a9e12")
  .header("X-JobGorilla-Key", "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://feed.jobgorilla.com/feed/board/a3f47b9e-8c2d-4f1a-9b7e-2d5f6c8a9e12', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-JobGorilla-Key' => 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://feed.jobgorilla.com/feed/board/a3f47b9e-8c2d-4f1a-9b7e-2d5f6c8a9e12");
var request = new RestRequest(Method.GET);
request.AddHeader("X-JobGorilla-Key", "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-JobGorilla-Key": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://feed.jobgorilla.com/feed/board/a3f47b9e-8c2d-4f1a-9b7e-2d5f6c8a9e12")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```